com.jogamp.opengl.util.av

## Enum GLMediaPlayer.State

- java.lang.Object
- - java.lang.Enum<GLMediaPlayer.State>
  - - com.jogamp.opengl.util.av.GLMediaPlayer.State

- All Implemented Interfaces:
    Serializable, Comparable<GLMediaPlayer.State>
  Enclosing interface:
    GLMediaPlayer

      public static enum GLMediaPlayer.State
      extends Enum<GLMediaPlayer.State>

  See Lifecycle.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Initialized` Stream has been initialized, user may play or call `GLMediaPlayer.initGL(GL)`.
    `Paused` Stream is pausing.
    `Playing` Stream is playing.
    `Uninitialized` Uninitialized player, no resources shall be hold.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `id`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GLMediaPlayer.State` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static GLMediaPlayer.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Uninitialized

          public static final GLMediaPlayer.State Uninitialized

      Uninitialized player, no resources shall be hold.

    - #### Initialized

          public static final GLMediaPlayer.State Initialized

      Stream has been initialized, user may play or call `GLMediaPlayer.initGL(GL)`.

    - #### Playing

          public static final GLMediaPlayer.State Playing

      Stream is playing.

    - #### Paused

          public static final GLMediaPlayer.State Paused

      Stream is pausing.

  - ### Field Detail

    - #### id

          public final int id

  - ### Method Detail

    - #### values

          public static GLMediaPlayer.State[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GLMediaPlayer.State c : GLMediaPlayer.State.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GLMediaPlayer.State valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright 2010 JogAmp Community.